You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@impala.apache.org by jo...@apache.org on 2020/06/01 15:55:11 UTC

[impala] branch master updated: IMPALA-9749: ASAN builds should not run FE tests.

This is an automated email from the ASF dual-hosted git repository.

joemcdonnell pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/impala.git


The following commit(s) were added to refs/heads/master by this push:
     new 30f68db  IMPALA-9749: ASAN builds should not run FE tests.
30f68db is described below

commit 30f68dbe111c6c23394e805dfdf8ae63cedce57c
Author: Anurag Mantripragada <an...@cloudera.com>
AuthorDate: Wed May 6 18:41:10 2020 -0700

    IMPALA-9749: ASAN builds should not run FE tests.
    
    https://gerrit.cloudera.org/#/c/15778/ inadvertently changed the
    behaviour of ASAN builds to to run FE tests. After this change,
    FE custom cluster tests run immediately after other  FE tests
    when FE_TEST is true.
    
    Testing:
    Ran private parametrized job with ASAN.
    
    Change-Id: I26c469a20032bdc1f4f0bb3938d9f1c50163c99a
    Reviewed-on: http://gerrit.cloudera.org:8080/15921
    Tested-by: Impala Public Jenkins <im...@cloudera.com>
    Reviewed-by: Thomas Tauber-Marshall <tm...@cloudera.com>
---
 bin/run-all-tests.sh | 41 +++++++++++++++++++++++++----------------
 1 file changed, 25 insertions(+), 16 deletions(-)

diff --git a/bin/run-all-tests.sh b/bin/run-all-tests.sh
index 46e35ae..7e61068 100755
--- a/bin/run-all-tests.sh
+++ b/bin/run-all-tests.sh
@@ -158,14 +158,20 @@ LOG_DIR="${IMPALA_EE_TEST_LOGS_DIR}"
 # Enable core dumps
 ulimit -c unlimited || true
 
+# Helper function to start Impala cluster.
+start_impala_cluster() {
+  # TODO-MT: remove --unlock_mt_dop when it is no longer needed.
+  run-step "Starting Impala cluster" start-impala-cluster.log \
+      "${IMPALA_HOME}/bin/start-impala-cluster.py" \
+      --log_dir="${IMPALA_EE_TEST_LOGS_DIR}" \
+      ${TEST_START_CLUSTER_ARGS} --impalad_args=--unlock_mt_dop=true
+}
+
 for i in $(seq 1 $NUM_TEST_ITERATIONS)
 do
   TEST_RET_CODE=0
 
-  # TODO-MT: remove --unlock_mt_dop when it is no longer needed.
-  run-step "Starting Impala cluster" start-impala-cluster.log \
-      "${IMPALA_HOME}/bin/start-impala-cluster.py" --log_dir="${IMPALA_EE_TEST_LOGS_DIR}" \
-      ${TEST_START_CLUSTER_ARGS} --impalad_args=--unlock_mt_dop=true
+  start_impala_cluster
 
   if [[ "$BE_TEST" == true ]]; then
     if [[ "$TARGET_FILESYSTEM" == "local" ]]; then
@@ -200,12 +206,25 @@ do
     if [[ "$CODE_COVERAGE" == true ]]; then
       MVN_ARGS+="-DcodeCoverage"
     fi
-    # Don't run the FE custom cluster/service tests here since they restart Impala. We'll
-    # run them with the other custom cluster/service tests below.
+    # Run the FE tests first. We run the FE custom cluster tests below since they
+    # restart Impala.
+    MVN_ARGS_TEMP=$MVN_ARGS
     MVN_ARGS+=" -Dtest=!org.apache.impala.custom*.*Test"
     if ! "${IMPALA_HOME}/bin/mvn-quiet.sh" -fae test ${MVN_ARGS}; then
       TEST_RET_CODE=1
     fi
+
+    # Run the FE custom cluster tests only if not running against S3
+    if [[ "${TARGET_FILESYSTEM}" != "s3" ]]; then
+      MVN_ARGS=$MVN_ARGS_TEMP
+      MVN_ARGS+=" -Dtest=org.apache.impala.custom*.*Test"
+      if ! "${IMPALA_HOME}/bin/mvn-quiet.sh" -fae test ${MVN_ARGS}; then
+        TEST_RET_CODE=1
+      fi
+      # Restart the minicluster after running the FE custom cluster tests.
+      # TODO-MT: remove --unlock_mt_dop when it is no longer needed.
+      start_impala_cluster
+    fi
     popd
   fi
 
@@ -250,16 +269,6 @@ do
       TEST_RET_CODE=1
     fi
     export IMPALA_MAX_LOG_FILES="${IMPALA_MAX_LOG_FILES_SAVE}"
-
-    # Run the FE custom cluster tests only if not running against S3.
-    if [[ "${TARGET_FILESYSTEM}" != "s3" ]]; then
-      pushd "${IMPALA_FE_DIR}"
-      MVN_ARGS=" -Dtest=org.apache.impala.custom*.*Test "
-      if ! "${IMPALA_HOME}/bin/mvn-quiet.sh" -fae test ${MVN_ARGS}; then
-        TEST_RET_CODE=1
-      fi
-      popd
-    fi
   fi
 
   # Run the process failure tests.